<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LibSylph: Sylph/Core/Comparable.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.8 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="classes.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Sylph/Core/Comparable.h File Reference</h1>Include this file if you want your objects to be comparable with operator&lt; ,….  
<a href="#_details">More...</a>
<p>
<code>#include &quot;Object.h&quot;</code><br>

<p>
<div class="dynheader">
Include dependency graph for Comparable.h:</div>
<div class="dynsection">
<p><center><img src="_comparable_8h__incl.png" border="0" usemap="#Sylph/Core/Comparable.h_map" alt=""></center>
<map name="Sylph/Core/Comparable.h_map">
<area shape="rect" id="node3" href="_object_8h-source.html" title="Object.h" alt="" coords="59,83,139,112"></map>
</div>

<p>
<div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dynsection">
<p><center><img src="_comparable_8h__dep__incl.png" border="0" usemap="#Sylph/Core/Comparable.hdep_map" alt=""></center>
<map name="Sylph/Core/Comparable.hdep_map">
<area shape="rect" id="node3" href="_array_8h-source.html" title="Sylph/Core/Array.h" alt="" coords="1282,83,1423,112"><area shape="rect" id="node20" href="_string_8h-source.html" title="Sylph/Core/String.h" alt="" coords="1189,237,1335,267"><area shape="rect" id="node5" href="_application_8h-source.html" title="Sylph/Core/Application.h" alt="" coords="1034,315,1215,344"><area shape="rect" id="node17" href="_sylph_8h-source.html" title="Sylph.h" alt="" coords="1278,469,1345,499"><area shape="rect" id="node25" href="_common_8h.html" title="This file is a shortcut to include many commonly used headers." alt="" coords="1479,392,1647,421"><area shape="rect" id="node38" href="_input_stream_8h-source.html" title="Sylph/IO/InputStream.h" alt="" coords="2255,315,2431,344"><area shape="rect" id="node44" href="_string_buffer_8h-source.html" title="Sylph/Core/StringBuffer.h" alt="" coords="823,315,1010,344"><area shape="rect" id="node50" href="_util_8h-source.html" title="Sylph/Core/Util.h" alt="" coords="1390,160,1521,189"><area shape="rect" id="node52" href="_hash_map_8h-source.html" title="Sylph/Core/HashMap.h" alt="" coords="1535,237,1703,267"><area shape="rect" id="node55" href="_vector_8h-source.html" title="Sylph/Core/Vector.h" alt="" coords="1359,237,1511,267"><area shape="rect" id="node59" href="_output_stream_8h-source.html" title="Sylph/IO/OutputStream.h" alt="" coords="1962,237,2151,267"><area shape="rect" id="node7" href="_linux_bundle_app_self_8h-source.html" title="Sylph/OS/LinuxBundleAppSelf.h" alt="" coords="359,392,586,421"><area shape="rect" id="node9" href="_linux_f_h_s_app_self_8h-source.html" title="Sylph/OS/LinuxFHSAppSelf.h" alt="" coords="610,392,815,421"><area shape="rect" id="node11" href="_mac_o_s_app_self_8h-source.html" title="Sylph/OS/MacOSAppSelf.h" alt="" coords="839,392,1031,421"><area shape="rect" id="node13" href="_mac_o_s_f_h_s_app_self_8h-source.html" title="Sylph/OS/MacOSFHSAppSelf.h" alt="" coords="1055,392,1274,421"><area shape="rect" id="node15" href="_uncaught_exception_handler_8h-source.html" title="Sylph/Core/UncaughtExceptionHandler.h" alt="" coords="45,392,335,421"><area shape="rect" id="node23" href="_file_8h-source.html" title="Sylph/Core/File.h" alt="" coords="1778,315,1909,344"><area shape="rect" id="node34" href="_dictionary_8h-source.html" title="Sylph/Core/Dictionary.h" alt="" coords="1341,315,1517,344"><area shape="rect" id="node46" href="_print_writer_8h-source.html" title="Sylph/IO/PrintWriter.h" alt="" coords="1541,315,1703,344"><area shape="rect" id="node30" href="_file_input_stream_8h-source.html" title="Sylph/IO/FileInputStream.h" alt="" coords="1949,392,2149,421"><area shape="rect" id="node32" href="_file_output_stream_8h-source.html" title="Sylph/IO/FileOutputStream.h" alt="" coords="1711,392,1925,421"><area shape="rect" id="node27" href="_byte_buffer_8h-source.html" title="Sylph/Core/ByteBuffer.h" alt="" coords="2353,469,2537,499"><area shape="rect" id="node41" href="_buffered_input_stream_8h-source.html" title="Sylph/IO/BufferedInputStream.h" alt="" coords="2173,392,2407,421"><area shape="rect" id="node62" href="_buffered_output_stream_8h-source.html" title="Sylph/IO/BufferedOutputStream.h" alt="" coords="1933,315,2181,344"></map>
</div>

<p>
<a href="_comparable_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_sylph.html">Sylph</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The <a class="el" href="namespace_sylph.html" title="The Sylph namespace contains everything in LibSylph.">Sylph</a> namespace contains everything in LibSylph. <br></td></tr>

<p>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Include this file if you want your objects to be comparable with operator&lt; ,…. 
<p>
It defines operator!=,operator&gt;,operator&lt;=, and operator &gt;= in terms of operator== and operator&lt;. Therefore, you'll only have to overload these in order to make your objects comparable. </div>
<hr size="1" class="unhidden"><address style="text-align: right;"><small>
Documentation for LibSylph by Doxygen
</body>
</html>
